Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.midi
Class MidiDevice.Info

    java.lang.Object
      |
      +--javax.sound.midi.MidiDevice.Info

Enclosing class:
  MidiDevice

public static class MidiDevice.Info
extends Object

A `MidiDevice.Info` object contains assorted data about a ``MidiDevice``, including its name, the company who created it, and descriptive text.

See Also:
  `MidiDevice.getDeviceInfo()`

Constructor Summary
`protected` | `MidiDevice.Info(String name, String vendor, String description, String version)` Constructs a device info object.

Method Summary
`boolean` | `equals(Object obj)` Reports whether two objects are equal.
`String` | `getDescription()` Obtains the description of the device.
`String` | `getName()` Obtains the name of the device.
`String` | `getVendor()` Obtains the name of the company who supplies the device.
`String` | `getVersion()` Obtains the version of the device.
`int` | `hashCode()` Finalizes the hashcode method.
`String` | `toString()` Provides a string representation of the device information.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MidiDevice.Info

    protected MidiDevice.Info(String name,
                              String vendor,
                              String description,
                              String version)

  Constructs a device info object.
  Parameters:
    `name` - the name of the device
    `the` - name of the company who provides the device
    `description` - a description of the device
    `version` - version information for the device

Method Detail

### equals

    public final boolean equals(Object obj)

  Reports whether two objects are equal. Returns `true` if the objects are identical.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the reference object with which to compare this object
  Returns:
    `true` if this object is the same as the `obj` argument; `false` otherwise

### hashCode

    public final int hashCode()

  Finalizes the hashcode method.
  Overrides:
    `hashCode` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### getName

    public final String getName()

  Obtains the name of the device.
  Returns:
    a string containing the device's name

### getVendor

    public final String getVendor()

  Obtains the name of the company who supplies the device.
  Returns:
    device the vendor's name

### getDescription

    public final String getDescription()

  Obtains the description of the device.
  Returns:
    a description of the device

### getVersion

    public final String getVersion()

  Obtains the version of the device.
  Returns:
    textual version information for the device.

### toString

    public final String toString()

  Provides a string representation of the device information.
  Overrides:
    `toString` in class `Object`
  Returns:
    a description of the info object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.